<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$page = 'laboratoire';
$titre = 'Laboratoire';

//Vérification que le joueur ait bien un labo avant d'afficher la page
if ($planete->batiments[6] == 0) erreur('Vous devez d\'abord construire un '.strtolower($batiment[6]), "red", '?p=batiments', 4000);

$TEMP_batiments = array();
$nbstop = count($technolo);

//Lancement d'une nouvelle construction
if (isset($_GET['t'])) {
	//Récupération des erreurs de la mise en file d'attente pour traitement
	$construction = $planete->file_addObjet("technologies", intval(gpc('t')));

	switch($construction){
		case 1: erreur('Vous n\'avez pas les bâtiments et/ou technologies nécessaires pour effectuer cette recherche.'); break;
		case 2: erreur('Cette technologie est déjà en file d\'attente !'); break;
		case 3: erreur('Vous n\'avez pas les ressources nécessaire pour effectuer cette recherche !'); break;
		default: header('Location: ?p=laboratoire'); exit;
	}
}
//Annulation d'une nouvelle construction
if (isset($_GET['a'])) {
	$i = intval(gpc('a'));
	//Vérification de la présence du batiment dans la file d'attente
	if($planete->file_exist($i, 'file_tech')) {
		$planete->file_delObjet("technologies", $i);
		header('Location: ?p=laboratoire');
		exit;
	}
}
//Règler la production à la châine
/*	if (isset($_GET['r']) && ($_GET['r'] == 1 || $_GET['r'] == 0)) {
   if($_GET['r']) $file->chaine = false;
   else $file->chaine = true;
   $export = mysql_real_escape_string(serialize($file));
   mysql_query("UPDATE planete SET file_bat = '$export' WHERE id = '$idPlan';");
   header('Location: ?p=batiments');
   exit;
   }*/

for ($i=0 ; $i<$nbstop ; $i++) {
	$tr = 0; $a = 0; $b = 0; $c = 0; $sec = 0; $enFile = false;
	if ($planete->technologies[$i] > 0) $niveau = $planete->technologies[$i]; else $niveau = 0;
	$n = $planete->technologies[$i] + 1; eval($technoloCALC[$i][0]); eval($technoloCALC[$i][1]); eval($technoloCALC[$i][2]); eval($technoloCALC[$i][3]);
	if ($planete->file_exist($i, 'file_tech')) $enFile = true;
	if (!empty($technolo[$i]) && requestDeblok($technoloTECH[$i], $planete)) $TEMP_batiments[] =
		array(
			'image' => $technoli[$i],
			'nom'  => $technolo[$i],
			'niveau'  => $niveau,
			'description'  => $technode[$i],
			'descriptione'  => addslashes($technode[$i]),
			'nec_metal' => $a,
			'nec_cristal' => $b,
			'nec_hydrogene' => $c,
			'nec_metalS' => separerNombres($a),
			'nec_cristalS' => separerNombres($b),
			'nec_hydrogeneS' => separerNombres($c),
			'temps' => sec($sec),
			'num' => $i,
			'enfile' => $enFile,
			'maq_metal' => ceil($a - $planete->metal),
			'maq_cristal' => ceil($b - $planete->cristal),
			'maq_hydrogene' => ceil($c - $planete->hydrogene)
		);
}
$template->assign('recherches', $TEMP_batiments);
$template->assign('chaine', $planete->technologies);
$nbfile = count($planete->file_tech) - 1;

if ($nbfile == 1) $template->assign('Pchaine', true);
else $template->assign('Pchaine', false);
if ($nbfile == 0) $template->assign('Vchaine', true);
else $template->assign('Vchaine', false);

$file = array();
for ($i=1 ; $i <= $nbfile ; $i++) {
	$file_unit = explode(',', $planete->file_tech[$i]);
	$n = $planete->technologies[$file_unit[0]] + 1;
	eval($technoloCALC[$file_unit[0]][3]);
	if ($i == 1) $file[] = array($file_unit[0], $file_unit[1], ceil($sec - (time() - $planete->file_tech[0])), $technolo[$file_unit[0]]);
	else $file[] = array($file_unit[0], $file_unit[1], ceil($sec), $technolo[$file_unit[0]]);
}

$template->assign('file', $file);
?>